Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 146210 - zdump -v GMT segfaults in x86_64
Summary: zdump -v GMT segfaults in x86_64
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: glibc
Version: 3.0
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-01-25 23:56 UTC by Demosthenes T. Mateo Jr.
Modified: 2007-11-30 22:07 UTC (History)
2 users (show)

Fixed In Version: RHBA-2005-096
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-05-18 14:00:02 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Sourceware 736 None None None Never
Red Hat Product Errata RHBA-2005:096 normal SHIPPED_LIVE glibc bug fix update 2005-06-09 04:00:00 UTC
Red Hat Product Errata RHSA-2005:256 high SHIPPED_LIVE Low: glibc security update 2005-05-18 04:00:00 UTC

Description Demosthenes T. Mateo Jr. 2005-01-25 23:56:11 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.3)
Gecko/20041115

Description of problem:
Running this command in AMD64 machine results in a segfault:

     zdump -v GMT

Works fine in x86 (32-bit) machines. Below is the strace:
----------------------------------------------

execve("/usr/sbin/zdump", ["zdump", "-v", "GMT"], [/* 31 vars */]) = 0
uname({sys="Linux", node="datatorls1", ...}) = 0
brk(0)                                  = 0x503000
mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1,
0) = 0x2a9566c000
open("/etc/ld.so.preload", O_RDONLY)    = -1 ENOENT (No such file or
directory)
open("/etc/ld.so.cache", O_RDONLY)      = 3
fstat(3, {st_mode=S_IFREG|0644, st_size=132443, ...}) = 0
mmap(NULL, 132443, PROT_READ, MAP_PRIVATE, 3, 0) = 0x2a9566d000
close(3)                                = 0
open("/lib64/tls/libc.so.6", O_RDONLY)  = 3
read(3, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0P\322\1\0"...,
640) = 640
fstat(3, {st_mode=S_IFREG|0755, st_size=1669032, ...}) = 0
mmap(NULL, 2375528, PROT_READ|PROT_EXEC, MAP_PRIVATE, 3, 0) = 0x2a9568e000
mprotect(0x2a957c9000, 1085288, PROT_NONE) = 0
mmap(0x2a9588e000, 262144, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED, 3, 0x100000) = 0x2a9588e000
mmap(0x2a958ce000, 16232, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED|MAP_ANONYMOUS, -1, 0) = 0x2a958ce000
close(3)                                = 0
mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1,
0) = 0x2a958d2000
arch_prctl(0x1002, 0x2a958d24c0)        = 0
munmap(0x2a9566d000, 132443)            = 0
open("/usr/lib/locale/locale-archive", O_RDONLY) = 3
fstat(3, {st_mode=S_IFREG|0644, st_size=32148976, ...}) = 0
mmap(NULL, 32148976, PROT_READ, MAP_PRIVATE, 3, 0) = 0x2a958d3000
close(3)                                = 0
brk(0)                                  = 0x503000
brk(0x524000)                           = 0x524000
brk(0)                                  = 0x524000
fstat(1, {st_mode=S_IFREG|0644, st_size=1667, ...}) = 0
mmap(NULL, 32768, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1,
0) = 0x2a9566d000
open("/usr/share/zoneinfo/GMT", O_RDONLY) = 3
fstat(3, {st_mode=S_IFREG|0644, st_size=56, ...}) = 0
mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1,
0) = 0x2a95675000
read(3, "TZif\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\1\0\0\0\1\0"...,
4096) = 56
close(3)                                = 0
munmap(0x2a95675000, 4096)              = 0
--- SIGSEGV (Segmentation fault) @ 0 (0) ---
+++ killed by SIGSEGV +++


Version-Release number of selected component (if applicable):
glibc-common-2.3.2-95.30-x86_64

How reproducible:
Always

Steps to Reproduce:
1. zdump -v GMT
2.
3.
    

Actual Results:  segmentation fault

Expected Results:  something similar to this:

GMT  Fri Dec 13 20:45:52 1901 UTC = Fri Dec 13 20:45:52 1901 GMT
isdst=0 gmtoff=0
GMT  Sat Dec 14 20:45:52 1901 UTC = Sat Dec 14 20:45:52 1901 GMT
isdst=0 gmtoff=0
GMT  Mon Jan 18 03:14:07 2038 UTC = Mon Jan 18 03:14:07 2038 GMT
isdst=0 gmtoff=0
GMT  Tue Jan 19 03:14:07 2038 UTC = Tue Jan 19 03:14:07 2038 GMT
isdst=0 gmtoff=0

Additional info:

Linux datatorls1 2.4.21-27.ELsmp #1 SMP Wed Dec 1 21:53:57 EST 2004
x86_64 x86_64 x86_64 GNU/Linux
======================
Module                  Size  Used by    Not tainted
nfs                    96368   1  (autoclean)
autofs4                16944  17  (autoclean)
audit                 127112   2  (autoclean)
nfsd                   86096   8  (autoclean)
lockd                  60528   1  (autoclean) [nfs nfsd]
sunrpc                 91880   1  (autoclean) [nfs nfsd lockd]
usbserial              29752   0  (autoclean) (unused)
lp                     10024   0  (autoclean)
parport                42464   0  (autoclean) [lp]
button                  4336   0  (unused)
tg3                    63568   1
floppy                 62104   0  (autoclean)
sg                     37880   0  (autoclean)
keybdev                 3104   0  (unused)
mousedev                6728   0  (unused)
hid                    21768   0  (unused)
input                   7520   0  [keybdev mousedev hid]
usb-ohci               22928   0  (unused)
usbcore                85152   1  [usbserial hid usb-ohci]
ext3                   87856  10
jbd                    56832  10  [ext3]
cciss                  47784   3
qla2300               698808   8
sd_mod                 14836  16
scsi_mod              129348   3  [sg cciss qla2300 sd_mod]
=====================================
glibc-2.3.2-95.30-i686
glibc-kernheaders-2.4-8.34.1-x86_64
glibc-profile-2.3.2-95.30-x86_64
glibc-common-2.3.2-95.30-x86_64
glibc-devel-2.3.2-95.30-x86_64
glibc-devel-2.3.2-95.30-i386
glibc-utils-2.3.2-95.30-x86_64
glibc-2.3.2-95.30-x86_64
glibc-headers-2.3.2-95.30-x86_64

Comment 1 Jakub Jelinek 2005-01-26 10:36:46 UTC
Should be fixed by the timezone/*.[ch] part of
http://sources.redhat.com/ml/libc-hacker/2005-01/msg00059.html
Will backport to RHEL3/RHEL4.

Comment 3 Jakub Jelinek 2005-02-15 06:54:10 UTC
For RHEL3 should be fixed in glibc-2.3.2-95.32.

Comment 4 Tim Powers 2005-05-18 14:00:02 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-256.html



Note You need to log in before you can comment on or make changes to this bug.